<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:s="uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882"
	xmlns:rs="urn:schemas-microsoft-com:rowset" 
	xmlns:z="#RowsetSchema"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:udf="urn:my-scripts"
	exclude-result-prefixes="s rs z msxsl udf">
	
	<msxsl:script language="VBScript" implements-prefix="udf">
		Function isNum(e)
			isNum = isNumeric(e.text)
		End Function
	</msxsl:script>
	
	<xsl:output method="html" indent="yes" omit-xml-declaration="yes" />
	<xsl:strip-space elements="*" />
	
	<xsl:template match="/">
		<html>
			<style>
				* {
					font-family: Tahoma;
				}
				
				table {
					border-collapse: collapse;
				}
				
				th {
					border:solid 1px black;
					padding: 5px;
					background-color:#aaaaaa;
				}
				
				td {
					border:solid 1px black;
					padding: 5px;
				}
				
			</style>
			<body>
				<table id="tbl">
					<thead>
						<tr>
							<xsl:for-each select="//s:Schema/s:ElementType/s:AttributeType">
								<th><xsl:value-of select="@name"/></th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						<xsl:for-each select="//rs:data/z:row">
							<tr>
								<xsl:for-each select="./@*">
									<td>
										<xsl:value-of select="."/>
									</td>
								</xsl:for-each>
							</tr>
						</xsl:for-each>
					</tbody>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>